# Enum DeltaType
Keys for specifying the delta type to be accessed.

Defined in | <seqan/journaled_string_tree.h>
Signature | ``

## Enum Values

`DELTA_TYPE_SNP` | Id to denote SNP events.
`DELTA_TYPE_DEL` | Id to denote deletion events.
`DELTA_TYPE_INS` | Id to denote insertion events.
`DElTA_TYPE_INDEL` | Id to denote replacement events.

#### Dox Sources

    /*!
     * @enum DeltaType
     *
     * @headerfile <seqan/journaled_string_tree.h>
     *
     * @brief Keys for specifying the delta type to be accessed.
     *
     * @val DeltaType DELTA_TYPE_SNP;
     *
     * @brief Id to denote SNP events.
     *
     * @val DeltaType DELTA_TYPE_DEL;
     *
     * @brief Id to denote deletion events.
     *
     * @val DeltaType DELTA_TYPE_INS;
     *
     * @brief Id to denote insertion events.
     *
     * @val DeltaType DElTA_TYPE_INDEL;
     *
     * @brief Id to denote replacement events.
     */